org.apache.uima.jcas.tcas

## Class DocumentAnnotation_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.AnnotationBase_Type
    - - org.apache.uima.jcas.tcas.Annotation_Type
      - - org.apache.uima.jcas.tcas.DocumentAnnotation_Type

-     public class DocumentAnnotation_Type
      extends Annotation_Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `featOkTst`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DocumentAnnotation_Type()`
    `` | `DocumentAnnotation_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.uima.cas.impl.FSGenerator` | `getFSGenerator()`
    `String` | `getLanguage(int addr)`
    `void` | `setLanguage(int addr, String v)`

    - ### Methods inherited from class org.apache.uima.jcas.tcas.Annotation_Type

      `getBegin, getCoveredText, getEnd, setBegin, setEnd`

    - ### Methods inherited from class org.apache.uima.jcas.cas.AnnotationBase_Type

      `getSofa, getView`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### featOkTst

          public static final boolean featOkTst

  - ### Constructor Detail

    - #### DocumentAnnotation_Type

          public DocumentAnnotation_Type(JCas jcas,
                                         Type casType)

    - #### DocumentAnnotation_Type

          protected DocumentAnnotation_Type()

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator getFSGenerator()

      Overrides:
        `getFSGenerator` in class `Annotation_Type`

    - #### getLanguage

          public String getLanguage(int addr)

    - #### setLanguage

          public void setLanguage(int addr,
                                  String v)

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.